<!DOCTYPE html>
<html ng-app="sampleApp">
<head>
    <meta charset="UTF-8">
    <title>Adding elements</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
       angular.module("sampleApp", [])
       .controller("defaultCtrl", function($scope){
          $scope.tasks = [
              { action: "Task 1", complete: false, priority: "Normal" },
              { action: "Task 2", complete: true, priority: "Normal" },
              { action: "Task 3", complete: false, priority: "Normal" },
              { action: "Task 4", complete: true, priority: "Normal" }
          ];

          $scope.addTask = function(task){
              if (angular.isDefined(task) &&
                  angular.isDefined(task.action) &&
                  angular.isDefined(task.priority)) {
                  $scope.tasks.push({
                     action: task.action,
                     priority: task.priority,
                     complete: false
                  });
              }
          }
       });
    </script>


</head>
<body style="padding: 10px">
<div class="panel panel-primary" ng-controller="defaultCtrl">
    <div class="row" ng-controller="defaultCtrl">
        <div class="col-md-4">
            <div class="well">

                <div class="form-group row">
                    <label for="actionText">Action</label>
                    <input id="actionText" class="form-control" ng-model="task.action"/>
                </div>

                <div class="form-group row">
                    <label for="actionPriority">Priority:</label>
                    <select id="actionPriority" class="form-control" ng-model="task.priority">
                        <option>High</option>
                        <option>Normal</option>
                        <option>Low</option>
                    </select>
                </div>
                <button class="btn btn-primary btn-block" ng-click="addTask(task)">Add</button>
            </div>
        </div>


        <div class="col-md-8 panel-primary">
            <div class="panel-heading">
                <div class="panel-title">
                    <h3>
                        Незавершенные задачи
                <span class="label label-info">
                    {{(tasks | filter : {complete : 'false'}).length}}
                </span>
                    </h3>
                </div>
            </div>

            <table class="table">
                <tbody>
                <tr ng-repeat="task in tasks">
                    <td>{{task.action}}</td>
                    <td>{{task.priority}}</td>
                    <td><input type="checkbox" ng-model="task.complete"/></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>





</body>
</html>